// Coordonnés du lycée PEM
var InitLat = 47.074062128748594;
var Initlong = 2.4053724646567654;

// Paramétrage de la cartede la carte
var map = L.map('map').setView([InitLat, Initlong], 11); // lat, long, zoom

// Source des tuiles : OpenStreetMap
/*L.tileLayer('http://{s}.tile.osm.org/{z}/{x}/{y}.png', {
    attribution: '&copy; <a href="https://osm.org/copyright">OpenStreetMap</a> contributors'
}).addTo(carte);*/

// ou source des tuiles : mapbox (nécessite un jeton)
L.tileLayer('https://api.mapbox.com/styles/v1/{id}/tiles/{z}/{x}/{y}?access_token={accessToken}', {
    attribution: 'Map data &copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors, Imagery © <a href="https://www.mapbox.com/">Mapbox</a>',
    maxZoom: 19,
    id: 'mapbox/streets-v11',
    tileSize: 512,
    zoomOffset: -1,
    accessToken: 'pk.eyJ1Ijoid2ViZ2UiLCJhIjoiY2wxZ2p2Yno4MHZ0ejNncnRmNzNxZW45MyJ9.xTlsFgrSafNbS3ysCaU7HA'
}).addTo(map);

// Ajout d'un marqueur
var marker = L.marker([InitLat, Initlong]).addTo(map);

function loadCoordinates() {
    var latitude;
    var longitude;
    var marker;

    $.ajax({
        url: 'scripts/getcoordonnees.php',
        type: 'get',
        dataType: 'json',
        success: function (data) {
            $.each(data, function (entryIndex, entry) {
                // 0 > val1 < 780 => 47.07970 < latitude < 47.01328
                latitude = (4700000.0 + (parseFloat(entry.val1) * 7970 / 780 + 1328)) / 100000;
                // 0 < val22 < 780 => 2.199468 < longitude < 2.409102
                longitude = (2000000.0 + (parseFloat(entry.val2) * 209634 / 780 + 199468)) / 1000000;

                // Afficher les valeurs numériques
                $('#latitude').html(latitude);
                $('#longitude').html(longitude);

                // Afficher un marqueur sur la carte (objet map)
                map.flyTo([latitude, longitude], 11, {
                    animate: true,
                    duration: 2 // in seconds
                });
                marker = L.marker([latitude, longitude]).addTo(map);
            })
        },
        timeout: 6000,
        error: function () {
            // plus loin
        }
    });
}

loadCoordinates(); // premier appel de la fonction

setInterval(function () { // appel de la fonction toutes les n secondes
    loadCoordinates()
}, 8000);